import java.io.*;
import java.net.*;

public class LockClientController
{

	public static void main(String[] args) throws IOException
	{

		Socket lcSocket;
		PrintWriter lcOut;
		int portNo;
		BufferedReader stdIn = null;

		try
		{
			portNo = Integer.parseInt(args[1]);
			lcSocket = new Socket(args[0], portNo);
			lcOut = new PrintWriter(lcSocket.getOutputStream(), true);

			stdIn = new BufferedReader(new InputStreamReader(System.in));
			String fromUser = "";

			while (!fromUser.equals("bye"))
			{
				fromUser = stdIn.readLine();
				lcOut.println(fromUser);
			}
		}
		catch (UnknownHostException e)
		{
			System.err.println("Don't know about host.");
			System.exit(1);
		}
		catch (IOException e)
		{
			System.err.println("Couldn't get I/O for the connection to host.");
			e.printStackTrace();
			System.exit(1);
		}
		catch (Exception e)
		{
			System.err.println(e);
			e.printStackTrace();
			System.exit(1);
		}

		if (stdIn != null)
			stdIn.close();
	}
}
